# SdkResult<T> class

Result returned from the native SDKs after a call to the API was made. If successful, SdkResult contains the returned data. If not successful, SdkResult contains an ErrorResponse.

Annotations
  - @JsonSerializable(explicitToJson: true, genericArgumentFactories: true)

## Constructors

SdkResult(T? data, ErrorResponse? error)
SdkResult.fromJson(Map<String, dynamic> json, T fromJsonT(Object? json))
  factory

## Properties

data ↔ T?
  read / write
error ↔ ErrorResponse?
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
status() → SdkResultStatus
toJson(Object toJsonT(T value)) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited